<template>
  <ContentScrollView :paddingH="false">
    <PhoneBillRecharge @goPay="goPay" />
  </ContentScrollView>
</template>

<script setup lang="ts">
import { PhoneBillRecharge, BlLifeRecharge } from '@life-payment/components';
import Taro from '@tarojs/taro';

defineOptions({
  name: 'InnerPage',
});

function goPay(orderNo: string) {
  Taro.navigateTo({
    url: `${RouterPath.selectPayType}?orderNo=${orderNo}&lifePayOrderType=${BlLifeRecharge.constants.LifePayOrderTypeEnum.话费订单}`,
  });
}
</script>
